using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Xml.Linq;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 沃比系统错误日志，包含程序错误
    /// </summary>
    public class RBLog
    {
        [Key]
        public int FID { get; set; }
        [Required()]
        [DisplayName("接口名称")]
        public int FFunctionID { get; set; }
        [Required()]
        [DisplayName("接口类型")]
        [StringLength(200)]
        public string FDocType { get; set; } = string.Empty;
        [Required()]
        [DisplayName("发生时间")]
        public DateTime FDateTime { get; set; }
        [Required()]
        [DisplayName("状态")]
        public bool FStatus { get; set; }
        [DisplayName("消息")]
        public string FMess { get; set; } = string.Empty;
        [DisplayName("xml备份")]
        //[Column(TypeName = "xml")]
        public string FSource { get; set; } = string.Empty;
        [DisplayName("GUID")]
        public string FGUID { get; set; } = string.Empty;//= Guid.NewGuid().ToString("B");
        //[NotMapped]
        //public XElement InitializedXmlContent
        //{
        //    get { return XElement.Parse(FSource); }
        //    set { FSource = value.ToString(); }
        //}
        //[Timestamp]
        //public byte[] Version { get; set; }
    }
}
